Package writer2latex.base

# Class BatchConverterBase

java.lang.Object
writer2latex.base.BatchConverterBase

All Implemented Interfaces:
  `BatchConverter`

Direct Known Subclasses:
  `BatchConverterImpl`

public abstract class BatchConverterBase extends Object implements BatchConverter
Abstract base implementation of `writer2latex.api.BatchConverter`. The base implementation handles the traversal of directories and files, and leaves the handling of indexpages to the subclass.

## Constructor Summary

Constructors
Constructor
Description
`BatchConverterBase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`convert(File source, File target, boolean bRecurse, BatchHandler handler)`
Convert a directory using the given `Converter` (if none is given, all files will be ignored).
`protected abstract String`
`getIndexFileName()`
`void`
`setConverter(Converter converter)`
Define a `Converter` implementation to use for conversion of the individual documents.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface writer2latex.api.BatchConverter

`createIndexFile, getConfig, readTemplate, readTemplate`

## Constructor Details

### BatchConverterBase

public BatchConverterBase()

## Method Details

### setConverter

public void setConverter(Converter converter)
Description copied from interface: `BatchConverter`
Define a `Converter` implementation to use for conversion of the individual documents. If no converter is given, the `convert` method cannot convert documents (but can still create index pages).

Specified by:
  `setConverter` in interface `BatchConverter`
Parameters:
  `converter` - the `Converter` to use

### convert

public void convert(File source, File target, boolean bRecurse, BatchHandler handler)
Description copied from interface: `BatchConverter`
Convert a directory using the given `Converter` (if none is given, all files will be ignored). This method fails silently if you haven't set a converter.

Specified by:
  `convert` in interface `BatchConverter`
Parameters:
  `source` - a `File` representing the directory to convert
  `target` - a `File` representing the directory to contain the converted documents
  `bRecurse` - determines wether or not to recurse into subdirectories
  `handler` - a BatchHandler

### getIndexFileName

protected abstract String getIndexFileName()